| ### Showing:
Annotations
Attributes
Diagrams
Facets
Instances
Properties
Source
Used by

Element richPointerType / p

Namespace | http://infoml.org/infomlFile
Diagram |
Type | simpleRichTextType
Properties |
content: | complex
mixed: | true
Model | em | strong | code | a | pre
Children | a, code, em, pre, strong
Instance |
    <p>
      <em>{1,1}</em>
      <strong>{1,1}</strong>
      <code>{1,1}</code>
      <a href="">{1,1}</a>
      <pre>{1,1}</pre>
    </p>
Source |
    <xsd:element name="p" type="simpleRichTextType"/>

Element richPointerType / quotation

Namespace | http://infoml.org/infomlFile
Diagram |
Type | simpleRichTextWithAuthorType
Type hierarchy | simpleRichTextType simpleRichTextWithAuthorType
Properties |
content: | complex
mixed: | true
Model | em | strong | code | a | pre
Children | a, code, em, pre, strong
Instance |
    <quotation author="">
      <em>{1,1}</em>
      <strong>{1,1}</strong>
      <code>{1,1}</code>
      <a href="">{1,1}</a>
      <pre>{1,1}</pre>
    </quotation>
Attributes |
QName | Type | Fixed | Default | Use | Annotation
--- | --- | --- | --- | --- | ---
author | nonnullTokenType |  |  | optional |
Source |
    <xsd:element name="quotation" type="simpleRichTextWithAuthorType"/>

Element richPointerType / poem

Namespace | http://infoml.org/infomlFile
Diagram |
Type | poemType
Properties |
content: | complex
Model | title{0,1} , author+ , stanza+
Children | author, stanza, title
Instance |
    <poem>
      <title>{0,1}</title>
      <author customRole="" role="">{1,unbounded}</author>
      <stanza>{1,unbounded}</stanza>
    </poem>
Source |
    <xsd:element name="poem" type="poemType"/>

Element richPointerType / table

Namespace | http://infoml.org/infomlFile
Diagram |
Type | tableType
Properties |
content: | complex
Model | caption{0,1} , tr+
Children | caption, tr
Instance |
    <table>
      <caption align="">{0,1}</caption>
      <tr>{1,unbounded}</tr>
    </table>
Source |
    <xsd:element name="table" type="tableType"/>

Complex Type richPointerType

Namespace | http://infoml.org/infomlFile
Annotations |
    Used to implement ptr elements. Subelements (i.e., text associated
    with the ptr) are optional.
Diagram |
Used by |
Elements | pointersType/parentPtr, pointersType/ptr
Model | p | quotation | poem | table
Children | p, poem, quotation, table
Attributes |
QName | Type | Fixed | Default | Use | Annotation
--- | --- | --- | --- | --- | ---
adjacentToPrevious | xsd:boolean |  | true | optional |
name | nonnullTokenType |  |  | optional |
previousCurrentSeparator | xsd:string |  |  | optional |
qualities | xsd:string |  |  | optional |
sameParaAsPrevious | xsd:boolean |  | true | optional |
targetId | infoRIType |  |  | required |
Source |
    <xsd:complexType name="richPointerType">
      <xsd:annotation>
        <xsd:documentation>Used to implement ptr elements. Subelements (i.e., text associated
                    with the ptr) are optional.</xsd:documentation>
      </xsd:annotation>
      <xsd:choice minOccurs="0" maxOccurs="unbounded">
        <xsd:element name="p" type="simpleRichTextType"/>
        <xsd:element name="quotation" type="simpleRichTextWithAuthorType"/>
        <xsd:element name="poem" type="poemType"/>
        <xsd:element name="table" type="tableType"/>
      </xsd:choice>
      <xsd:attribute name="name" type="nonnullTokenType" use="optional"/>
      <xsd:attribute name="qualities" type="xsd:string"/>
      <xsd:attribute name="targetId" type="infoRIType" use="required"/>
      <!-- sameParaAsPrevious: if false, content of this icard should be preceded by a paragraph-
                    level break; if true, content should be treated as continuation of current paragraph -->
      <xsd:attribute name="sameParaAsPrevious" type="xsd:boolean" default="true"/>
      <!-- adjacentToPrevious: if true, content from both previous and current icards should
                     be joined to create one continuous chunk of content -->
      <xsd:attribute name="adjacentToPrevious" type="xsd:boolean" default="true"/>
      <!-- previousCurrentSeparator: character(s) used to separate two adjacent chunks
                     of content -->
      <xsd:attribute name="previousCurrentSeparator" type="xsd:string" default=" "/>
    </xsd:complexType>

Attribute richPointerType / @name

Namespace | No namespace
Type | nonnullTokenType
Properties |
use: | optional
Facets |
minLength | 1 |
Used by |
Complex Type | richPointerType
Source |
    <xsd:attribute name="name" type="nonnullTokenType" use="optional"/>

Attribute richPointerType / @qualities

Namespace | No namespace
Type | xsd:string
Properties |
content: | simple
Used by |
Complex Type | richPointerType
Source |
    <xsd:attribute name="qualities" type="xsd:string"/>

Attribute richPointerType / @targetId

Namespace | No namespace
Type | infoRIType
Properties |
use: | required
Facets |
pattern | (\i\c*) & ([\i-[:]][\c-[:]]*) & ([a-zA-Z][a-zA-Z0-9\-]*(\.[a-zA-Z0-9\-]+){0,2}(_[a-zA-Z0-9\.\-]+(_[a-zA-Z0-9\.\-]+)?)?) |
Used by |
Complex Type | richPointerType
Source |
    <xsd:attribute name="targetId" type="infoRIType" use="required"/>

Attribute richPointerType / @sameParaAsPrevious

Namespace | No namespace
Type | xsd:boolean
Properties |
default: | true
Used by |
Complex Type | richPointerType
Source |
    <xsd:attribute name="sameParaAsPrevious" type="xsd:boolean" default="true"/>

Attribute richPointerType / @adjacentToPrevious

Namespace | No namespace
Type | xsd:boolean
Properties |
default: | true
Used by |
Complex Type | richPointerType
Source |
    <xsd:attribute name="adjacentToPrevious" type="xsd:boolean" default="true"/>

Attribute richPointerType / @previousCurrentSeparator

Namespace | No namespace
Type | xsd:string
Properties |
default: |
Used by |
Complex Type | richPointerType
Source |
    <xsd:attribute name="previousCurrentSeparator" type="xsd:string" default=" "/>